import { MetaInterface } from '../interfaces';
import { Model } from 'sequelize-typescript';
export declare class PaginatedData<M extends Model> {
    readonly meta: MetaInterface;
    readonly items: M[];
    constructor(meta: MetaInterface, items: M[]);
    toJSON(): {
        items: M[];
        meta: MetaInterface;
    };
}
