"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var PaginationCoreModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginationCoreModule = void 0;
const common_1 = require("@nestjs/common");
const pagination_constants_1 = require("./pagination.constants");
const pagination_service_1 = require("./pagination.service");
const common_2 = require("./common");
let PaginationCoreModule = exports.PaginationCoreModule = PaginationCoreModule_1 = class PaginationCoreModule {
    static forRoot(options = {}) {
        const paginationModuleOptions = {
            provide: pagination_constants_1.PAGINATION_MODULE_OPTIONS,
            useValue: options,
        };
        return {
            global: options.isGlobal,
            module: PaginationCoreModule_1,
            providers: [pagination_service_1.PaginationService, paginationModuleOptions],
            exports: [pagination_service_1.PaginationService],
        };
    }
    static forRootAsync(options) {
        return {
            global: options.isGlobal,
            module: PaginationCoreModule_1,
            imports: options.imports,
            providers: [pagination_service_1.PaginationService, (0, common_2.createPaginationAsyncOptions)(options)],
            exports: [pagination_service_1.PaginationService],
        };
    }
};
exports.PaginationCoreModule = PaginationCoreModule = PaginationCoreModule_1 = __decorate([
    (0, common_1.Module)({})
], PaginationCoreModule);
